Set an AML/KYT ID for a vault account
Assigns an AML/KYT customer reference ID for the vault account. Learn more about Fireblocks AML management in the following guide. Endpoint Permission: Admin, Non-Signing Admin.
POST
/
vault
/
accounts
/
{vaultAccountId}
/
set_customer_ref_id
TypeScript
const response: Promise<FireblocksResponse<VaultActionStatus>> = fireblocks.vaults.setVaultAccountCustomerRefId(vaultsApiSetVaultAccountCustomerRefIdRequest);CompletableFuture<ApiResponse<VaultActionStatus>> response = fireblocks.vaults().setVaultAccountCustomerRefId(setCustomerRefIdRequest, vaultAccountId, idempotencyKey);response = fireblocks.vaults.set_vault_account_customer_ref_id(set_customer_ref_id_request, vault_account_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/set_customer_ref_id \
--header 'Content-Type: application/json' \
--data '
{
"customerRefId": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({customerRefId: '<string>'})
};
fetch('https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/set_customer_ref_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The vault account ID
Body
application/json
Customer reference ID
Response
OK
Was this page helpful?
Previous
Unhide a vault account in the consoleMakes a hidden vault account visible in web console view.
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<VaultActionStatus>> = fireblocks.vaults.setVaultAccountCustomerRefId(vaultsApiSetVaultAccountCustomerRefIdRequest);CompletableFuture<ApiResponse<VaultActionStatus>> response = fireblocks.vaults().setVaultAccountCustomerRefId(setCustomerRefIdRequest, vaultAccountId, idempotencyKey);response = fireblocks.vaults.set_vault_account_customer_ref_id(set_customer_ref_id_request, vault_account_id, idempotency_key);